#standard equipment type config file
#    
#     Rectifier
#
#     Constraint to the Solution config file:
#               Relevant Sampler List:  
#               Relevant Equipment List:	Rectifier Group, Power System, AC Unit
#
# 
#

#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID    Group Type Flag	Type Name		Type Name Resource ID
309	    0			NABatt String		1

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
36

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#SigID	Sig Name					Sig Name Resource ID	Sig Unit		Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range				Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
1		Batt Voltage				2			V			1				1			F			NA			NA			NA				0/60					W/L				NA			1			.1			NA
2		Batt Current				4			A			1				2			F			NA			NA			NA				-127/128				W/L				NA			1		        .1			NA
3		Battery Capacity			46			Ah			-1				-2			F			NA			NA			[0,0,4]*[0,2,10]/100		NA					NA				NA			3			.0			NA
4		Capacity Percent			7			%			1				6			F			NA			NA			NA				0/100					W/L				NA			1			.1			NA
5		Terminal Voltage			3			V			1				3			F			NA			NA			NA				0/60					W/L				NA			1			.1			NA
6		Cell Temperature			5			deg.C			1				4			F			NA			NA			NA				-50/128					W/L				NA			1			.1			NA
7		Switch Temperature			6			deg.C			1				5			F			NA			NA			NA				-50/128					W/L				NA			1			.1			NA
8		State of LED				8			NA			1				7			E			NA			NA			NA			[ID39=0/ID40=1/ID41=2/ID42=3/ID43=4/ID44=5/ID45=6]					W/L				NA			1			NA			NA
9		State of Alarm Relay			9			NA			1				8			E			NA			NA			NA			[ID38=Normal/ID37=Alarm]			NA				NA			1			NA			NA
#The following statuses are used for alarming, so do not display them
10		Charge En Status4			10			NA			1				9			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
11		DisChar En Status5			11			NA			1				10			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
12		Charging Status6			12			NA			1				11			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
13		DisCharging Status7			13			NA			1				12			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
14		DisCharging(>5) Status9			15			NA			1				13			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
15		Charging(>5) Status11			14			NA			1				14			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
27		Temperature Failure			18			NA			1				17			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
28		Current Failure				19			NA			1				18			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
29		Hardware Failure			20			NA			1				19			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
30		Over Voltage				21			NA			1				20			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
31		Low Voltage				22			NA			1				21			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
32		Cell Volt Deviation			23			NA			1				22			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
33		Low Cell Volt				24			NA			1				23			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
34		High Cell Volt				25			NA			1				24			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
35		High Cell Temp				26			NA			1				25			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
36		High Switch DisTemp			27			NA			1				26			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
37		Charge Short Circuit			28			NA			1				27			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
38		DisChar Short Circuit			29			NA			1				28			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
39		High Switch CharTemp			30			NA			1				29			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
40		Hardware Fail 20			31			NA			1				30			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
41		Hardware Fail 21			32			NA			1				31			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
42		High Charge Curr			33			NA			1				32			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
43		High DisCharge Curr			34			NA			1				33			E			NA			NA			NA			[ID102=False/ID101=True]			NA				NA			1			NA			NA
44		Address Of Batt				36			NA			1				34			U			NA			NA			NA				NA					NA				NA			1			NA			NA
48		Batt Disconnected Stat			48			NA			1				47			E			NA			NA			NA			[ID102=Normal]/[ID101=NoResponse]		NA				NA			39			NA			NA

99		Comm interrupt Stat			99			NA			1				48			E			NA			NA			NA			[ID102=Normal]/[ID101=NoResponse]		NA				NA			39			NA			NA
100		Existence State				100			NA			1				49			E			NA			NA			NA			[ID102=Exist]/[ID101=No Exist]			NA				NA			39			NA			NA



#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
0

[CTRL_SIGNAL_INFO]
#SID	SigName				ResourceID		SigUnit		IndexofSamplerList			SamplerChannelID	SigValueType		ValueRange			ValueDisplayAttribute		ValueControlAttribute		ControlableExpression		AuthorityLevel		ValueDisplayID		ValueDisplayFormat	ControlChannelID	ControlStep		ControlParam	ControlExpression			OnControlAction		DispExp


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
1

[SETTING_SIGNAL_INFO]
#SigID		Sig Name			Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range			Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression	Persistence Falg	On Control Action	Disp Exp
# Jimmy: This signal is useless in Li Batt unit, just keep it for GC, do not edit it
10		Rated Capacity				96			Ah		-1				-3			F			180			50/50000			NA				NA				NA			E			2			.0			-3			10		NA				1			NA			NA


#2.4 Define the Alarm Singals
[ALARM_NUM]
12

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name				Alarm Name Resource ID		Alarm Level	Alarm Expression		Alarm Delay		Suppressing Expression				Relay ID
1		Temperature Failure			18				CA		[0,0,27]==1			NA			[0,3,18]					NA
2		Current Failure				19				CA		[0,0,28]==1			NA			[0,3,18]					NA
3		Hardware Failure			20				CA		[0,0,29]==1			NA			[0,3,18]					NA
4		Over Voltage				21				CA		[0,0,30]==1			NA			[0,3,18]					NA
5		Low Voltage				22				CA		[0,0,31]==1			NA			[0,3,18]					NA
6		Cell Volt Deviation			23				CA		[0,0,32]==1			NA			[0,3,18]					NA
7		Low Cell Volt				24				CA		[0,0,33]==1			NA			[0,3,18]					NA
8		High Cell Volt				25				CA		[0,0,34]==1			NA			[0,3,18]					NA
9		High Cell Temp				26				CA		[0,0,35]==1			NA			[0,3,18]					NA
10		High Switch DisTemp			27				CA		[0,0,36]==1			NA			[0,3,18]					NA
11		Charge Short Circuit			28				CA		[0,0,37]==1			NA			[0,3,18]					NA
12		DisChar Short Circuit			29				CA		[0,0,38]==1			NA			[0,3,18]					NA
13		High Switch CharTemp			30				CA		[0,0,39]==1			NA			[0,3,18]					NA
14		Hardware Fail 20			31				CA		[0,0,40]==1			NA			[0,3,18]					NA
15		Hardware Fail 21			32				CA		[0,0,41]==1			NA			[0,3,18]					NA
16		High Charge Curr			33				CA		[0,0,42]==1			NA			[0,3,18]					NA
17		High DisCharge Curr			34				CA		[0,0,43]==1			NA			[0,3,18]					NA
18		Comm interrupt				35				CA		[0,0,99]==1			NA			[1,3,2]						NA
19		Batt Disconnected			49				MA		[0,0,48]==1			NA			[0,3,18]					NA
20		Charge Enabled				10				NA		[0,0,10]==1			NA			[0,3,18]					NA
21		Discharge Enabled			11				NA		[0,0,11]==1			NA			[0,3,18]					NA
22		Charging				12				NA		[0,0,12]==1			NA			[0,3,18]					NA
23		Discharging				13				NA		[0,0,13]==1			NA			[0,3,18]					NA
24		Charging(>5A)				14				NA		[0,0,15]==1			NA			[0,3,18]					NA
25		Discharging(>5A)			15				NA		[0,0,14]==1			NA			[0,3,18]					NA
26		Battery Relay Alarm			9				CA		[0,0,9]==1			NA			[0,3,18]					NA
